GET private-repository/repository-details/{geoLocation}
Gets the details of a repository associated with the private location for the current customer.
URL Parameters
| Name | Description |
|---|---|
| geoLocation | The geoLocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoLocation.Request example
curl --request GET "https://api-asm1.apica.io/v3/private-repository/repository-details/{geoLocation}?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "eb85fb0d-e215-49e6-a071-6a0e2d98ee0e",
"customer_guids": [
"672201d1-b5b6-4080-884f-46a6302995cd",
"263ad694-cdf9-4b87-9975-e448ac0c6d02",
"826faa53-fa7a-47bf-a6ee-0890185189f4"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"playwright": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "10a4267e-878f-4e80-a52f-28d67310d12a",
"customer_guids": [
"384efc83-c9a1-4b7f-a42e-3cc9509a3e2f",
"226079e0-3e99-410f-a775-6688a8ec02fd",
"d165019d-db3a-41dd-a3d0-d372b7e86690"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"playwright": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "a349d88d-9200-48c8-8204-0e750182b9d2",
"customer_guids": [
"8e8745a3-9ff9-4544-aae6-186d0c1b5325",
"7674dba5-494a-49e9-808b-ea0eff359fcb",
"85a4c692-3ef9-481e-ac58-3e832416f36d"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"playwright": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
}
]
| Name | Type | Description |
|---|---|---|
| Id | Guid |
No documentation available. |
| CustomerGuids | Object |
No documentation available. |
| RepositoryName | String |
No documentation available. |
| RepositoryUrl | String |
No documentation available. |
| Username | String |
No documentation available. |
| Geolocs | Object |
No documentation available. |
| Type | String |
No documentation available. |
| Images | Object |
No documentation available. |
| fpr | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| zebratester | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| runbin | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| postman | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| playwright | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| Mirroring | Boolean |
No documentation available. |
| Message | String |
No documentation available. |
| Success | Boolean |
No documentation available. |